Bug 85573 - Changing profile does not retrieve the correct settings for the profile (a saving problem?)
Changing profile does not retrieve the correct settings for the profile (a sa...
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network (Show other bugs)
phoebe
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 85893
  Show dependency treegraph
 
Reported: 2003-03-04 11:07 EST by Mikael Carneholm
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-31 06:13:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikael Carneholm 2003-03-04 11:07:15 EST
Description of problem:
If you create a profile where you set which logical devices that should be
included in this profile and then change from this to Common, you will see the
same logical devices included in Common (and vice versa). Does saving not work,
maybe?

Version-Release number of selected component (if applicable):
The one in phoebe b3

How reproducible:
Always

Steps to Reproduce:
1. Create a new profile and select it in the Profile menu
2. Copy/Edit a device and give it a nickname (f.eg. eth0_travel)
3. Make sure eth0_travel is checked as included in this profile (in Profile column)
4. Save the profile
5. From menu, switch back to Common choosing Profile->Common in the menu (you
will be prompted to save again, although you just saved the profile - fix this
as well!)
5. Done. 

Actual results:
eth0_travel will be displayed as included in Common as well (checked in the
Profile column)

Expected results:
It should not be included.

Additional info:
It is also contradictory that several aliases (configurations) for eg. eth0 are
shown as "Active" at once. How can (logically) eth0 be with it's two
configurations "eth0_home" (192.168.100.5) and "eth0_travel" (193.10.174.203)
both be active at the same time? Confusing!
Comment 2 Harald Hoyer 2003-03-31 06:13:11 EST
Common is the common setting between profiles, so you have to at least create 2
profiles and all they have in common is displayed in "Common" :)

Note You need to log in before you can comment on or make changes to this bug.